package com.ruoyi.learn.service;

import java.util.List;
import com.ruoyi.learn.domain.LearnStudent;
import com.ruoyi.learn.dto.StudyRecordStatisticsDTO;

/**
 * 学生Service接口
 * 
 * @author ruoyi
 * @date 2025-09-18
 */
public interface ILearnStudentService 
{
    /**
     * 统计学习记录
     * 
     * @param dto 查询参数
     * @return 学习记录统计结果集合
     */
    public List<StudyRecordStatisticsDTO> statisticStudyRecord(StudyRecordStatisticsDTO dto);
    /**
     * 查询学生
     * 
     * @param studentId 学生主键
     * @return 学生
     */
    public LearnStudent selectLearnStudentByStudentId(Long studentId);

    /**
     * 查询学生列表
     * 
     * @param learnStudent 学生
     * @return 学生集合
     */
    public List<LearnStudent> selectLearnStudentList(LearnStudent learnStudent);

    /**
     * 新增学生
     * 
     * @param learnStudent 学生
     * @return 结果
     */
    public int insertLearnStudent(LearnStudent learnStudent);

    /**
     * 修改学生
     * 
     * @param learnStudent 学生
     * @return 结果
     */
    public int updateLearnStudent(LearnStudent learnStudent);

    /**
     * 批量删除学生
     * 
     * @param studentIds 需要删除的学生主键集合
     * @return 结果
     */
    public int deleteLearnStudentByStudentIds(Long[] studentIds);

    /**
     * 删除学生信息
     * 
     * @param studentId 学生主键
     * @return 结果
     */
    public int deleteLearnStudentByStudentId(Long studentId);
}
